import { db as liskDB, AggregateCommit, chain } from 'lisk-sdk';
import { BlockHeader, CCMsFromEvents, LastSentCCMWithHeight, ValidatorsData } from './types';
type KVStore = liskDB.Database;
export declare const getDBInstance: (dataPath: string, dbName?: string) => Promise<KVStore>;
export declare const checkDBError: (error: Error | unknown) => void;
export declare class ChainConnectorStore {
    private readonly _db;
    constructor(db: KVStore);
    close(): void;
    getBlockHeaders(): Promise<BlockHeader[]>;
    setBlockHeaders(blockHeaders: BlockHeader[]): Promise<void>;
    getAggregateCommits(): Promise<AggregateCommit[]>;
    setAggregateCommits(aggregateCommits: AggregateCommit[]): Promise<void>;
    getValidatorsHashPreimage(): Promise<ValidatorsData[]>;
    setValidatorsHashPreimage(validatorsHashInput: ValidatorsData[]): Promise<void>;
    getCrossChainMessages(): Promise<CCMsFromEvents[]>;
    setCrossChainMessages(ccms: CCMsFromEvents[]): Promise<void>;
    getLastSentCCM(): Promise<LastSentCCMWithHeight | undefined>;
    setLastSentCCM(lastSentCCM: LastSentCCMWithHeight): Promise<void>;
    getListOfCCUs(): Promise<chain.TransactionAttrs[]>;
    setListOfCCUs(listOfCCUs: chain.TransactionAttrs[]): Promise<void>;
}
export {};
