"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStakeRewardActiveValidators = exports.getMinimalRewardActiveValidators = void 0;
const constants_1 = require("./constants");
const getMinimalRewardActiveValidators = (moduleConfig, defaultReward) => (defaultReward * BigInt(moduleConfig.factorMinimumRewardActiveValidators)) /
    constants_1.DECIMAL_PERCENT_FACTOR;
exports.getMinimalRewardActiveValidators = getMinimalRewardActiveValidators;
const getStakeRewardActiveValidators = (context, posMethod, defaultReward, minimalRewardActiveValidators) => {
    const numberOfActiveValidators = posMethod.getNumberOfActiveValidators(context);
    const totalRewardActiveValidators = defaultReward * BigInt(numberOfActiveValidators);
    return (totalRewardActiveValidators - BigInt(numberOfActiveValidators) * minimalRewardActiveValidators);
};
exports.getStakeRewardActiveValidators = getStakeRewardActiveValidators;
//# sourceMappingURL=utils.js.map