"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultConfig = exports.WEIGHT_SCALE_FACTOR = exports.MIN_WEIGHT = exports.MAX_COMMISSION = exports.MAX_CAP = exports.BLS_POP_LENGTH = exports.BLS_PUBLIC_KEY_LENGTH = exports.ED25519_PUBLIC_KEY_LENGTH = exports.MAX_COMMISSION_INCREASE_RATE = exports.COMMISSION_INCREASE_PERIOD = exports.COMMISSION = exports.MAX_NUMBER_BYTES_Q96 = exports.TOKEN_ID_LENGTH = exports.LOCAL_ID_LENGTH = exports.CHAIN_ID_LENGTH = exports.MAX_SNAPSHOT = exports.EMPTY_KEY = exports.VALIDATOR_LIST_ROUND_OFFSET = exports.REPORTING_PUNISHMENT_REWARD = exports.REPORT_MISBEHAVIOR_LIMIT_BANNED = exports.MAX_PUNISHABLE_BLOCK_HEIGHT_DIFFERENCE = exports.VALIDATOR_REGISTRATION_FEE = exports.MAX_NUMBER_PENDING_UNLOCKS = exports.MAX_NUMBER_SENT_STAKES = exports.BASE_STAKE_AMOUNT = exports.MAX_LENGTH_NAME = exports.PUNISHMENT_PERIOD = exports.PUNISHMENT_WINDOW_SELF_STAKING = exports.PUNISHMENT_WINDOW_STAKING = exports.LOCKING_PERIOD_SELF_STAKING = exports.LOCKING_PERIOD_STAKING = exports.COMMAND_NAME_VALIDATOR_REGISTRATION = exports.MODULE_NAME_POS = void 0;
exports.MODULE_NAME_POS = 'pos';
exports.COMMAND_NAME_VALIDATOR_REGISTRATION = 'registerValidator';
exports.LOCKING_PERIOD_STAKING = 26000;
exports.LOCKING_PERIOD_SELF_STAKING = 260000;
exports.PUNISHMENT_WINDOW_STAKING = 260000;
exports.PUNISHMENT_WINDOW_SELF_STAKING = 780000;
exports.PUNISHMENT_PERIOD = 780000;
exports.MAX_LENGTH_NAME = 20;
exports.BASE_STAKE_AMOUNT = BigInt(10) * BigInt(10) ** BigInt(8);
exports.MAX_NUMBER_SENT_STAKES = 10;
exports.MAX_NUMBER_PENDING_UNLOCKS = 20;
exports.VALIDATOR_REGISTRATION_FEE = BigInt(10) * BigInt(10) ** BigInt(8);
exports.MAX_PUNISHABLE_BLOCK_HEIGHT_DIFFERENCE = 260000;
exports.REPORT_MISBEHAVIOR_LIMIT_BANNED = 5;
exports.REPORTING_PUNISHMENT_REWARD = BigInt(100000000);
exports.VALIDATOR_LIST_ROUND_OFFSET = 2;
exports.EMPTY_KEY = Buffer.alloc(0);
exports.MAX_SNAPSHOT = 3;
exports.CHAIN_ID_LENGTH = 4;
exports.LOCAL_ID_LENGTH = 4;
exports.TOKEN_ID_LENGTH = exports.CHAIN_ID_LENGTH + exports.LOCAL_ID_LENGTH;
exports.MAX_NUMBER_BYTES_Q96 = 24;
exports.COMMISSION = 10000;
exports.COMMISSION_INCREASE_PERIOD = 260000;
exports.MAX_COMMISSION_INCREASE_RATE = 500;
exports.ED25519_PUBLIC_KEY_LENGTH = 32;
exports.BLS_PUBLIC_KEY_LENGTH = 48;
exports.BLS_POP_LENGTH = 96;
exports.MAX_CAP = 10000;
exports.MAX_COMMISSION = 10000;
exports.MIN_WEIGHT = BigInt(1000) * BigInt(10) ** BigInt(8);
exports.WEIGHT_SCALE_FACTOR = BigInt(1000) * BigInt(10) ** BigInt(8);
exports.defaultConfig = {
    factorSelfStakes: 10,
    maxLengthName: 20,
    maxNumberSentStakes: 10,
    maxNumberPendingUnlocks: 20,
    failSafeMissedBlocks: 50,
    failSafeInactiveWindow: 260000,
    punishmentWindow: exports.PUNISHMENT_PERIOD,
    minWeightStandby: '100000000000',
    numberActiveValidators: 101,
    numberStandbyValidators: 2,
    validatorRegistrationFee: exports.VALIDATOR_REGISTRATION_FEE.toString(),
    maxBFTWeightCap: 500,
    commissionIncreasePeriod: exports.COMMISSION_INCREASE_PERIOD,
    maxCommissionIncreaseRate: exports.MAX_COMMISSION_INCREASE_RATE,
    useInvalidBLSKey: false,
};
//# sourceMappingURL=constants.js.map